#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const clime_1 = require("clime");
const root_proxy_device_1 = require("./root-proxy-device");
// The second parameter is the path to folder that contains command modules.
const cli = new clime_1.CLI("playactor", path_1.default.join(__dirname, "commands"));
if (process.argv[0].endsWith("ts-node")) {
    clime_1.CLI.commandModuleExtension = ".ts";
}
// clime doesn't currently have a way to ignore or hide specific args,
// so let's do it manually here:
const args = root_proxy_device_1.RootProxyDevice.removeProxiedUserId([...process.argv]);
// Clime in its core provides an object-based command-line infrastructure.
// To have it work as a common CLI, a shim needs to be applied:
const shim = new clime_1.Shim(cli);
shim.execute(args);
